Bug 1859194 - load_hosts macro duplicated in a list of macros
Summary: load_hosts macro duplicated in a list of macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Dominik Matoulek
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-21 12:17 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:04 UTC (History)
4 users (show)

Fixed In Version: foreman-2.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:04:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30196 0 Normal Closed load_hosts macro duplicated in template help 2020-10-28 17:44:42 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:04:41 UTC

Description Lukáš Hellebrandt 2020-07-21 12:17:42 UTC
Description of problem:
There's a list of safemode macros usable in report templates. There is load_hosts macro listed twice in there.

Version-Release number of selected component (if applicable):
Sat 6.8 snap 4.0

How reproducible:
Deterministic

Steps to Reproduce:
1. Monitoring -> Report Templates -> Subscription - General Report
2. Check there is the load_pools macro used
3. Go to Help tab

Actual results:
There is load_hosts macro listed twice.

Expected results:
The load_hosts macro should only be listed once.

Comment 1 Tomer Brisker 2020-07-21 12:26:36 UTC
Connecting redmine issue https://projects.theforeman.org/issues/30196 from this bug

Comment 2 Lukáš Hellebrandt 2020-09-17 14:41:31 UTC
Verified with Sat 6.8 snap 15.

Used reproducer from OP, there is just one load_hosts macro in the list and the macro works.

Comment 5 errata-xmlrpc 2020-10-27 13:04:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.